//+------------------------------------------------------------------+
//|                                 Script User Defined Function.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  06 July 2012"
#property link      ""

//+------------------------------------------------------------------+
bool Create_Text (string text, int size, string font,color col, int X, int Y )
  {
  bool success;
  string name;
  static int number;
  number ++;
  name = WindowExpertName()+"_"+number;
  
  success = ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
  success = success + ObjectSetText (name, text, size, font, col);
  ObjectSet (name, OBJPROP_CORNER, 0);
  ObjectSet (name, OBJPROP_XDISTANCE, X);
  ObjectSet (name, OBJPROP_YDISTANCE, Y);
    
  return (success);
  }
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//---
   bool success;
   ObjectsDeleteAll();
   
   success = Create_Text ("Hi, how are you today ?", 20, "Terminal", Yellow, 10, 10);
   success = Create_Text ("I use User Defined Function.", 20, "System", Lime, 10, 30);
   success = Create_Text ("Coz I hate writing function over and over.", 30,"Courier New" , Aqua, 10, 60);
   success = Create_Text ("Very Simple :)", 40,"Lucida Console" , Red, 10, 100);
   success = Create_Text ("J", 50, "Wingdings", Gold, 10, 150);
   
   Print (WindowExpertName()," ",success);
   PlaySound ("wait.wav");
//----
   return(0);
  }
//+------------------------------------------------------------------+




